from __future__ import annotations

import typing

import pydantic

from telegram_pydantic import types

# Update - Layer 181
Update = typing.Annotated[
    typing.Union[
        types.UpdateAttachMenuBots,
        types.UpdateAutoSaveSettings,
        types.UpdateBotBusinessConnect,
        types.UpdateBotCallbackQuery,
        types.UpdateBotChatBoost,
        types.UpdateBotChatInviteRequester,
        types.UpdateBotCommands,
        types.UpdateBotDeleteBusinessMessage,
        types.UpdateBotEditBusinessMessage,
        types.UpdateBotInlineQuery,
        types.UpdateBotInlineSend,
        types.UpdateBotMenuButton,
        types.UpdateBotMessageReaction,
        types.UpdateBotMessageReactions,
        types.UpdateBotNewBusinessMessage,
        types.UpdateBotPrecheckoutQuery,
        types.UpdateBotShippingQuery,
        types.UpdateBotStopped,
        types.UpdateBotWebhookJSON,
        types.UpdateBotWebhookJSONQuery,
        types.UpdateBroadcastRevenueTransactions,
        types.UpdateChannel,
        types.UpdateChannelAvailableMessages,
        types.UpdateChannelMessageForwards,
        types.UpdateChannelMessageViews,
        types.UpdateChannelParticipant,
        types.UpdateChannelPinnedTopic,
        types.UpdateChannelPinnedTopics,
        types.UpdateChannelReadMessagesContents,
        types.UpdateChannelTooLong,
        types.UpdateChannelUserTyping,
        types.UpdateChannelViewForumAsMessages,
        types.UpdateChannelWebPage,
        types.UpdateChat,
        types.UpdateChatDefaultBannedRights,
        types.UpdateChatParticipant,
        types.UpdateChatParticipantAdd,
        types.UpdateChatParticipantAdmin,
        types.UpdateChatParticipantDelete,
        types.UpdateChatParticipants,
        types.UpdateChatUserTyping,
        types.UpdateConfig,
        types.UpdateContactsReset,
        types.UpdateDcOptions,
        types.UpdateDeleteChannelMessages,
        types.UpdateDeleteMessages,
        types.UpdateDeleteQuickReply,
        types.UpdateDeleteQuickReplyMessages,
        types.UpdateDeleteScheduledMessages,
        types.UpdateDialogFilter,
        types.UpdateDialogFilterOrder,
        types.UpdateDialogFilters,
        types.UpdateDialogPinned,
        types.UpdateDialogUnreadMark,
        types.UpdateDraftMessage,
        types.UpdateEditChannelMessage,
        types.UpdateEditMessage,
        types.UpdateEncryptedChatTyping,
        types.UpdateEncryptedMessagesRead,
        types.UpdateEncryption,
        types.UpdateFavedStickers,
        types.UpdateFolderPeers,
        types.UpdateGeoLiveViewed,
        types.UpdateGroupCall,
        types.UpdateGroupCallConnection,
        types.UpdateGroupCallParticipants,
        types.UpdateInlineBotCallbackQuery,
        types.UpdateLangPack,
        types.UpdateLangPackTooLong,
        types.UpdateLoginToken,
        types.UpdateMessageExtendedMedia,
        types.UpdateMessageID,
        types.UpdateMessagePoll,
        types.UpdateMessagePollVote,
        types.UpdateMessageReactions,
        types.UpdateMoveStickerSetToTop,
        types.UpdateNewAuthorization,
        types.UpdateNewChannelMessage,
        types.UpdateNewEncryptedMessage,
        types.UpdateNewMessage,
        types.UpdateNewQuickReply,
        types.UpdateNewScheduledMessage,
        types.UpdateNewStickerSet,
        types.UpdateNewStoryReaction,
        types.UpdateNotifySettings,
        types.UpdatePeerBlocked,
        types.UpdatePeerHistoryTTL,
        types.UpdatePeerLocated,
        types.UpdatePeerSettings,
        types.UpdatePeerWallpaper,
        types.UpdatePendingJoinRequests,
        types.UpdatePhoneCall,
        types.UpdatePhoneCallSignalingData,
        types.UpdatePinnedChannelMessages,
        types.UpdatePinnedDialogs,
        types.UpdatePinnedMessages,
        types.UpdatePinnedSavedDialogs,
        types.UpdatePrivacy,
        types.UpdatePtsChanged,
        types.UpdateQuickReplies,
        types.UpdateQuickReplyMessage,
        types.UpdateReadChannelDiscussionInbox,
        types.UpdateReadChannelDiscussionOutbox,
        types.UpdateReadChannelInbox,
        types.UpdateReadChannelOutbox,
        types.UpdateReadFeaturedEmojiStickers,
        types.UpdateReadFeaturedStickers,
        types.UpdateReadHistoryInbox,
        types.UpdateReadHistoryOutbox,
        types.UpdateReadMessagesContents,
        types.UpdateReadStories,
        types.UpdateRecentEmojiStatuses,
        types.UpdateRecentReactions,
        types.UpdateRecentStickers,
        types.UpdateSavedDialogPinned,
        types.UpdateSavedGifs,
        types.UpdateSavedReactionTags,
        types.UpdateSavedRingtones,
        types.UpdateSentStoryReaction,
        types.UpdateServiceNotification,
        types.UpdateSmsJob,
        types.UpdateStarsBalance,
        types.UpdateStickerSets,
        types.UpdateStickerSetsOrder,
        types.UpdateStoriesStealthMode,
        types.UpdateStory,
        types.UpdateStoryID,
        types.UpdateTheme,
        types.UpdateTranscribedAudio,
        types.UpdateUser,
        types.UpdateUserEmojiStatus,
        types.UpdateUserName,
        types.UpdateUserPhone,
        types.UpdateUserStatus,
        types.UpdateUserTyping,
        types.UpdateWebPage,
        types.UpdateWebViewResultSent
    ],
    pydantic.Field(discriminator='QUALNAME')
]
